%define upstream_name	 Geo-WeatherNOAA
%define upstream_version 4.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl extension for interpreting the NOAA weather data
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(LWP::Simple)
BuildArch:	noarch


%description
This module is intended to interpret the NOAA zone forecasts and current 
city hourly data files. It should give a programmer an easy time to use 
the data instead of having to mine it.

Be aware that if the variable $main::opt_v is set to anything (other than 
zero or '') then Geo::WeatherNOAA will be verbose on what it's doing with 
messages sent to STDERR. Useful for debugging. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 

%install
%make_install 

%check
make test

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Geo/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 4.380.0-10.mga9
+ Revision: 1803820
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.380.0-9.mga8
+ Revision: 1494682
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.380.0-8.mga7
+ Revision: 1268204
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.380.0-7.mga6
+ Revision: 1027810
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 4.380.0-6.mga6
+ Revision: 934509
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.380.0-5.mga5
+ Revision: 749967
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.380.0-4.mga5
+ Revision: 684846
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.380.0-3.mga4
+ Revision: 511881
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.380.0-2.mga3
+ Revision: 367661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.380.0-1.mga1
+ Revision: 30466
- mageia rebuild
- imported package perl-Geo-WeatherNOAA


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 4.380.0-1mdv2010.0
+ Revision: 403225
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 4.38-3mdv2009.0
+ Revision: 268516
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.38-2mdv2009.0
+ Revision: 210956
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 4.38-1mdv2008.0
+ Revision: 20115
- buildrequires
- 4.38


* Sat Jun 03 2006 Stew Benedict <sbenedict@mandriva.com> 4.37-3mdv2007.0
- rebuild, url

* Mon May 16 2005 Stew Benedict <sbenedict@mandriva.com> 4.37-2mdk
- rebuild

* Sun Apr 04 2004 Stew Benedict <sbenedict@mandrakesoft.com> 4.37-1mdk
- first Mandrake release

